//package teikade.debug;

import java.util.Observable;

abstract public class Inspector extends Observable {
    static final Integer LIST      = new Integer(1);
    static final Integer SELECTION = new Integer(2);

    String list[];
    protected int selection;

    String getList()[] {
	return list;
    }

    void disposeList() {
	if (list != null) {
	    //list.dispose();
	    list = null;
	}
    }

    abstract String getValue();

    void selected(int index) {
	if (selection == index) {
	    selection = -1;
	} else {
	    selection = index;
	}
	changed(SELECTION);
    }

    void changed(Integer what) {
	setChanged();
	notifyObservers(what);
    }
}
