/*
 * Copyright (c) 1995 PFU Limited.
 *	author Kazuhisa Shirakami
 */
package teikade.gui.component;

import java.awt.*;
import teikade.sys.TeikadeProperties;
import teikade.sys.UseProperties;

public class DButton extends Button implements UseProperties {

    public DButton() {
	super();
    }

    public DButton(String label) {
	super(label);
	updateProperties();
    }

    public void updateProperties() {
	Font font = TeikadeProperties.getFont("font.button");
	if (font != null && !font.equals(getFont())) {
	    setFont(font);
	}
    }
}
