/*
 * Copyright (c) 1996 PFU Limited.
 *	author Kazuhisa Shirakami
 */
package teikade.gui.component;

import java.awt.*;
import teikade.sys.TeikadeProperties;
import teikade.sys.UseProperties;

public class DCheckbox extends Checkbox implements UseProperties {

    public DCheckbox(String label) {
	super(label);
	updateProperties();
    }

    public DCheckbox(String label, CheckboxGroup group, boolean state) {
	super(label, group, state);
	updateProperties();
    }

    public void updateProperties() {
	Font font = TeikadeProperties.getFont("font.label");
	if (font != null && !font.equals(getFont())) {
	    setFont(font);
	}
    }
}
