/*
 * Copyright (c) 1995 PFU Limited.
 *	author Kazuhisa Shirakami
 */
package teikade.gui.component;

import java.awt.*;
import teikade.sys.TeikadeProperties;
import teikade.sys.UseProperties;

public class DLabel extends Label implements UseProperties {

    public DLabel() {
	super();
	updateProperties();
    }

    public DLabel(String label) {
	super(label);
	updateProperties();
    }

    public DLabel(String label, int align) {
	super(label, align);
	updateProperties();
    }

    public void updateProperties() {
	Font font = TeikadeProperties.getFont("font.label");
	if (font != null && !font.equals(getFont())) {
	    setFont(font);
	}
    }
}
