/*
 * Copyright (c) 1995 PFU Limited.
 *	author Kazuhisa Shirakami
 */
package teikade.gui.menu;

import teikade.sys.CodePath;
import teikade.gui.*;
import teikade.gui.component.*;

public class CommandMenuBar extends ListingMenuBar {

    protected static final String MENU_STOP = "stop";

    protected boolean createFileCommandMenu(DMenu menu) {
        menu.add(MENU_STOP);
	return true;
    }

    protected void actionFileMenu(String label, TeikadeFrame frame, CodePath cp) {
	if (label.equals(MENU_STOP)) {
	    ((CommandFrame)frame).stop();
	} else {
	    super.actionFileMenu(label, frame, cp);
	}
    }
}
