/*
 * Copyright (c) 1995 PFU Limited.
 *	author Osamu Satoh, Kazuhisa Shirakami 
 */
package teikade.util;

import teikade.sys.CodePath;

public interface ListItem {

    abstract CodePath codePath();

    abstract String listString();

    abstract int cursorPos()[];

    abstract void setMark(boolean mark);

    abstract boolean isMarked();

    abstract boolean isChanged();

    abstract boolean isSameCode(ListItem with);

    abstract ListItem cloneItem();
}
