package plugins;

import teikade.sys.PluginCommand;
import teikade.sys.CodePath;
import teikade.gui.TeikadeFrame;
import teikade.gui.Transcript;

public class SnoopPlugin implements PluginCommand {
    public void initialize(String name) {
	Transcript.getTranscript().message("initialize: " + name + "\n");
    }

    public void invoke(String name, Object frame, CodePath target) {
	Transcript.getTranscript().message("snoop...\n");
	Transcript.getTranscript().message("  name: " + name + "\n");
	Transcript.getTranscript().message("  frame: " + frame + "\n");
	Transcript.getTranscript().message("  target: " + target + "\n");
    }

    public boolean isInvocableFor(String name, Object frame, CodePath target) {
	return true;
    }
}
