//package teikade.debug;

import sun.tools.debug.RemoteField;
import sun.tools.debug.RemoteObject;

class ObjectInspector extends Inspector {
    RemoteObject remoteObject;

    /**
     * set field variable list
     */
    void setList(RemoteObject obj) throws Exception {
	remoteObject = obj;
	disposeList();
	RemoteField rf[] = remoteObject.getFields();
	list = new String[rf.length];
	for (int i = 0; i < rf.length; i++) {
	    list[i] = rf[i].getName();
	}
	changed(LIST);
    }

    /**
     * returns string representation of selected field variable's value
     */
    String getValue() {
	if (selection != -1) {
	    try {
		return remoteObject.getFieldValue(selection).toString();
	    } catch (Exception e) {
		return "(exception: " + e + ")";
	    }
	} else if (remoteObject != null) {
	    return remoteObject.description();
	} else {
	    return "";
	}
    }
}
