/*
 * Copyright (c) 1996-1998 PFU Limited.
 *	author Kazuhisa Shirakami
 */
package teikade.gui.component;

import java.awt.*;
import teikade.sys.TeikadeProperties;
import teikade.sys.UseProperties;

public class DChoice extends Choice implements UseProperties {

    public DChoice() {
	super();
	updateProperties();
    }

    public void updateProperties() {
	Font font = TeikadeProperties.getFont("font.label");
	if (font != null && !font.equals(getFont())) {
	    setFont(font);
	}
    }

/*
    public boolean tabbable() {
	return true;
    }
*/

    public void requestFocus() {
	super.requestFocus();
    }

    public boolean gotFocus(Event event, Object what) {
	return true;
    }

    public boolean lostFocus(Event event, Object what) {
	return true;
    }

    public boolean keyDown(Event event, int key) {
	if (key == '\t') {
	    nextFocus();
	    return true;
	}
	return false;
    }
}
