/*
 * Copyright (c) 1995 PFU Limited.
 *	author Osamu Satoh
 */
package teikade.sys;

/*
 * special PackageManager for source files in project top directory
 */
class TopDirPackageManager extends PackageManager {

    /**
     * the constructor
     */
    TopDirPackageManager(Manager parent) {
	super(parent, topName(parent), ".");
    }

    /**
     * get absolute pathname
     */
    public String absolutePath() {
	return ((PathedManager)parent).absolutePath();
    }

    /**
     * returns package statment for this package
     */
    protected String packageStatement() {
	return "// package statement will come here\n";
    }
}
